JETSON TX2: Tensorflow-1.1.0のインストール

JETSON TX2にtensorflow1.1.0をインストールしたときのメモ。JetsonHacksの”TensorFlow on NVIDIA Jetson TX2 Development Kit“に従ってインストールしたがPrerequisitesでBazelのインストールでエラーになった。以下の記事を参考にインストールした。なお、python2.7を利用した。

私の環境では以下のコマンドを実行したところ

  • sudo  pip install ./tensorflow-1.1.0-cp27-cp27mu-linu2017-05-07x_aarch64.whl

次のエラーが出た。

  • “tensorflow-1.1.0-cp27-cp27mu-linux_aarch64.whl is not a supported wheel on this platform.”

以下のサイトでpipのバージョン問題だとわかり、サイトの説明に従いpython2.7用のpipをインストールして問題を解決した。

  • https://stackoverflow.com/questions/33622613/tensorflow-installation-error-not-a-supported-wheel-on-this-platform
  • Download get-pip.py from https://bootstrap.pypa.io/get-pip.py
  • sudo python2.7 get-pip.py
  • sudo pip install tensorflow-1.1.0-cp27-cp27mu-linux_aarch64.whl

終わり

コメントを残す

メールアドレスが公開されることはありません。